gtkmm: gtkmm Enums and Flags

gtkmm 3.24.8

Enumerations | Functions
gtkmm Enums and Flags

## Enumerations
enum | Gtk::PackOptions { Gtk::PACK_SHRINK , Gtk::PACK_EXPAND_PADDING , Gtk::PACK_EXPAND_WIDGET }
| Packing options for adding child widgets to a Box with pack_start() and pack_end(). More...
enum | { Gtk::BUTTONBOX_DEFAULT_SPACING = -1 }
enum | Gtk::NotebookTab { Gtk::NOTEBOOK_TAB_FIRST , Gtk::NOTEBOOK_TAB_LAST }
enum | { Gtk::INPUT_ERROR = -1 }

## Functions
ApplicationInhibitFlags | Gtk::operator| (ApplicationInhibitFlags lhs, ApplicationInhibitFlags rhs)
ApplicationInhibitFlags | Gtk::operator& (ApplicationInhibitFlags lhs, ApplicationInhibitFlags rhs)
ApplicationInhibitFlags | Gtk::operator^ (ApplicationInhibitFlags lhs, ApplicationInhibitFlags rhs)
ApplicationInhibitFlags | Gtk::operator~ (ApplicationInhibitFlags flags)
ApplicationInhibitFlags & | Gtk::operator|= (ApplicationInhibitFlags & lhs, ApplicationInhibitFlags rhs)
ApplicationInhibitFlags & | Gtk::operator&= (ApplicationInhibitFlags & lhs, ApplicationInhibitFlags rhs)
ApplicationInhibitFlags & | Gtk::operator^= (ApplicationInhibitFlags & lhs, ApplicationInhibitFlags rhs)
CalendarDisplayOptions | Gtk::operator| (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator& (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator^ (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | Gtk::operator~ (CalendarDisplayOptions flags)
CalendarDisplayOptions & | Gtk::operator|= (CalendarDisplayOptions & lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions & | Gtk::operator&= (CalendarDisplayOptions & lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions & | Gtk::operator^= (CalendarDisplayOptions & lhs, CalendarDisplayOptions rhs)
CellRendererState | Gtk::operator| (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator& (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator^ (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator~ (CellRendererState flags)
CellRendererState & | Gtk::operator|= (CellRendererState & lhs, CellRendererState rhs)
CellRendererState & | Gtk::operator&= (CellRendererState & lhs, CellRendererState rhs)
CellRendererState & | Gtk::operator^= (CellRendererState & lhs, CellRendererState rhs)
DialogFlags | Gtk::operator| (DialogFlags lhs, DialogFlags rhs)
DialogFlags | Gtk::operator& (DialogFlags lhs, DialogFlags rhs)
DialogFlags | Gtk::operator^ (DialogFlags lhs, DialogFlags rhs)
DialogFlags | Gtk::operator~ (DialogFlags flags)
DialogFlags & | Gtk::operator|= (DialogFlags & lhs, DialogFlags rhs)
DialogFlags & | Gtk::operator&= (DialogFlags & lhs, DialogFlags rhs)
DialogFlags & | Gtk::operator^= (DialogFlags & lhs, DialogFlags rhs)
AccelFlags | Gtk::operator| (AccelFlags lhs, AccelFlags rhs)
AccelFlags | Gtk::operator& (AccelFlags lhs, AccelFlags rhs)
AccelFlags | Gtk::operator^ (AccelFlags lhs, AccelFlags rhs)
AccelFlags | Gtk::operator~ (AccelFlags flags)
AccelFlags & | Gtk::operator|= (AccelFlags & lhs, AccelFlags rhs)
AccelFlags & | Gtk::operator&= (AccelFlags & lhs, AccelFlags rhs)
AccelFlags & | Gtk::operator^= (AccelFlags & lhs, AccelFlags rhs)
AttachOptions | Gtk::operator| (AttachOptions lhs, AttachOptions rhs)
AttachOptions | Gtk::operator& (AttachOptions lhs, AttachOptions rhs)
AttachOptions | Gtk::operator^ (AttachOptions lhs, AttachOptions rhs)
AttachOptions | Gtk::operator~ (AttachOptions flags)
AttachOptions & | Gtk::operator|= (AttachOptions & lhs, AttachOptions rhs)
AttachOptions & | Gtk::operator&= (AttachOptions & lhs, AttachOptions rhs)
AttachOptions & | Gtk::operator^= (AttachOptions & lhs, AttachOptions rhs)
PlacesOpenFlags | Gtk::operator| (PlacesOpenFlags lhs, PlacesOpenFlags rhs)
PlacesOpenFlags | Gtk::operator& (PlacesOpenFlags lhs, PlacesOpenFlags rhs)
PlacesOpenFlags | Gtk::operator^ (PlacesOpenFlags lhs, PlacesOpenFlags rhs)
PlacesOpenFlags | Gtk::operator~ (PlacesOpenFlags flags)
PlacesOpenFlags & | Gtk::operator|= (PlacesOpenFlags & lhs, PlacesOpenFlags rhs)
PlacesOpenFlags & | Gtk::operator&= (PlacesOpenFlags & lhs, PlacesOpenFlags rhs)
PlacesOpenFlags & | Gtk::operator^= (PlacesOpenFlags & lhs, PlacesOpenFlags rhs)
TargetFlags | Gtk::operator| (TargetFlags lhs, TargetFlags rhs)
TargetFlags | Gtk::operator& (TargetFlags lhs, TargetFlags rhs)
TargetFlags | Gtk::operator^ (TargetFlags lhs, TargetFlags rhs)
TargetFlags | Gtk::operator~ (TargetFlags flags)
TargetFlags & | Gtk::operator|= (TargetFlags & lhs, TargetFlags rhs)
TargetFlags & | Gtk::operator&= (TargetFlags & lhs, TargetFlags rhs)
TargetFlags & | Gtk::operator^= (TargetFlags & lhs, TargetFlags rhs)
RegionFlags | Gtk::operator| (RegionFlags lhs, RegionFlags rhs)
RegionFlags | Gtk::operator& (RegionFlags lhs, RegionFlags rhs)
RegionFlags | Gtk::operator^ (RegionFlags lhs, RegionFlags rhs)
RegionFlags | Gtk::operator~ (RegionFlags flags)
RegionFlags & | Gtk::operator|= (RegionFlags & lhs, RegionFlags rhs)
RegionFlags & | Gtk::operator&= (RegionFlags & lhs, RegionFlags rhs)
RegionFlags & | Gtk::operator^= (RegionFlags & lhs, RegionFlags rhs)
JunctionSides | Gtk::operator| (JunctionSides lhs, JunctionSides rhs)
JunctionSides | Gtk::operator& (JunctionSides lhs, JunctionSides rhs)
JunctionSides | Gtk::operator^ (JunctionSides lhs, JunctionSides rhs)
JunctionSides | Gtk::operator~ (JunctionSides flags)
JunctionSides & | Gtk::operator|= (JunctionSides & lhs, JunctionSides rhs)
JunctionSides & | Gtk::operator&= (JunctionSides & lhs, JunctionSides rhs)
JunctionSides & | Gtk::operator^= (JunctionSides & lhs, JunctionSides rhs)
StateFlags | Gtk::operator| (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator& (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator^ (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator~ (StateFlags flags)
StateFlags & | Gtk::operator|= (StateFlags & lhs, StateFlags rhs)
StateFlags & | Gtk::operator&= (StateFlags & lhs, StateFlags rhs)
StateFlags & | Gtk::operator^= (StateFlags & lhs, StateFlags rhs)
InputHints | Gtk::operator| (InputHints lhs, InputHints rhs)
InputHints | Gtk::operator& (InputHints lhs, InputHints rhs)
InputHints | Gtk::operator^ (InputHints lhs, InputHints rhs)
InputHints | Gtk::operator~ (InputHints flags)
InputHints & | Gtk::operator|= (InputHints & lhs, InputHints rhs)
InputHints & | Gtk::operator&= (InputHints & lhs, InputHints rhs)
InputHints & | Gtk::operator^= (InputHints & lhs, InputHints rhs)
FileFilterFlags | Gtk::operator| (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator& (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator^ (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator~ (FileFilterFlags flags)
FileFilterFlags & | Gtk::operator|= (FileFilterFlags & lhs, FileFilterFlags rhs)
FileFilterFlags & | Gtk::operator&= (FileFilterFlags & lhs, FileFilterFlags rhs)
FileFilterFlags & | Gtk::operator^= (FileFilterFlags & lhs, FileFilterFlags rhs)
IconLookupFlags | Gtk::operator| (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator& (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator^ (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator~ (IconLookupFlags flags)
IconLookupFlags & | Gtk::operator|= (IconLookupFlags & lhs, IconLookupFlags rhs)
IconLookupFlags & | Gtk::operator&= (IconLookupFlags & lhs, IconLookupFlags rhs)
IconLookupFlags & | Gtk::operator^= (IconLookupFlags & lhs, IconLookupFlags rhs)
RecentFilterFlags | Gtk::operator| (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator& (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator^ (RecentFilterFlags lhs, RecentFilterFlags rhs)
RecentFilterFlags | Gtk::operator~ (RecentFilterFlags flags)
RecentFilterFlags & | Gtk::operator|= (RecentFilterFlags & lhs, RecentFilterFlags rhs)
RecentFilterFlags & | Gtk::operator&= (RecentFilterFlags & lhs, RecentFilterFlags rhs)
RecentFilterFlags & | Gtk::operator^= (RecentFilterFlags & lhs, RecentFilterFlags rhs)
TextSearchFlags | Gtk::operator| (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator& (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator^ (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator~ (TextSearchFlags flags)
TextSearchFlags & | Gtk::operator|= (TextSearchFlags & lhs, TextSearchFlags rhs)
TextSearchFlags & | Gtk::operator&= (TextSearchFlags & lhs, TextSearchFlags rhs)
TextSearchFlags & | Gtk::operator^= (TextSearchFlags & lhs, TextSearchFlags rhs)
ToolPaletteDragTargets | Gtk::operator| (ToolPaletteDragTargets lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets | Gtk::operator& (ToolPaletteDragTargets lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets | Gtk::operator^ (ToolPaletteDragTargets lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets | Gtk::operator~ (ToolPaletteDragTargets flags)
ToolPaletteDragTargets & | Gtk::operator|= (ToolPaletteDragTargets & lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets & | Gtk::operator&= (ToolPaletteDragTargets & lhs, ToolPaletteDragTargets rhs)
ToolPaletteDragTargets & | Gtk::operator^= (ToolPaletteDragTargets & lhs, ToolPaletteDragTargets rhs)
TreeModelFlags | Gtk::operator| (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator& (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator^ (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | Gtk::operator~ (TreeModelFlags flags)
TreeModelFlags & | Gtk::operator|= (TreeModelFlags & lhs, TreeModelFlags rhs)
TreeModelFlags & | Gtk::operator&= (TreeModelFlags & lhs, TreeModelFlags rhs)
TreeModelFlags & | Gtk::operator^= (TreeModelFlags & lhs, TreeModelFlags rhs)
DestDefaults | Gtk::operator| (DestDefaults lhs, DestDefaults rhs)
DestDefaults | Gtk::operator& (DestDefaults lhs, DestDefaults rhs)
DestDefaults | Gtk::operator^ (DestDefaults lhs, DestDefaults rhs)
DestDefaults | Gtk::operator~ (DestDefaults flags)
DestDefaults & | Gtk::operator|= (DestDefaults & lhs, DestDefaults rhs)
DestDefaults & | Gtk::operator&= (DestDefaults & lhs, DestDefaults rhs)
DestDefaults & | Gtk::operator^= (DestDefaults & lhs, DestDefaults rhs)
PrintCapabilities | Gtk::operator| (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator& (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator^ (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator~ (PrintCapabilities flags)
PrintCapabilities & | Gtk::operator|= (PrintCapabilities & lhs, PrintCapabilities rhs)
PrintCapabilities & | Gtk::operator&= (PrintCapabilities & lhs, PrintCapabilities rhs)
PrintCapabilities & | Gtk::operator^= (PrintCapabilities & lhs, PrintCapabilities rhs)
UIManagerItemType | Gtk::operator| (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator& (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator^ (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator~ (UIManagerItemType flags)
UIManagerItemType & | Gtk::operator|= (UIManagerItemType & lhs, UIManagerItemType rhs)
UIManagerItemType & | Gtk::operator&= (UIManagerItemType & lhs, UIManagerItemType rhs)
UIManagerItemType & | Gtk::operator^= (UIManagerItemType & lhs, UIManagerItemType rhs)

## Detailed Description

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
BUTTONBOX_DEFAULT_SPACING |

## ◆ anonymous enum

anonymous enum

Enumerator
INPUT_ERROR |

## ◆ NotebookTab

enum Gtk::NotebookTab

Enumerator
NOTEBOOK_TAB_FIRST |
NOTEBOOK_TAB_LAST |

## ◆ PackOptions

enum Gtk::PackOptions

Packing options for adding child widgets to a Box with pack_start() and pack_end().

Enumerator
PACK_SHRINK | Space is contracted to the child widget size.
PACK_EXPAND_PADDING | Space is expanded, with extra space filled with padding.
PACK_EXPAND_WIDGET | Space is expanded, with extra space filled by increasing the child widget size.

## Function Documentation

## ◆ operator&() [1/21]

AccelFlags Gtk::operator& | ( | AccelFlags | lhs,
|  | AccelFlags | rhs
| ) |  |
| inline

## ◆ operator&() [2/21]

ApplicationInhibitFlags Gtk::operator& | ( | ApplicationInhibitFlags | lhs,
|  | ApplicationInhibitFlags | rhs
| ) |  |
| inline

## ◆ operator&() [3/21]

AttachOptions Gtk::operator& | ( | AttachOptions | lhs,
|  | AttachOptions | rhs
| ) |  |
| inline

## ◆ operator&() [4/21]

CalendarDisplayOptions Gtk::operator& | ( | CalendarDisplayOptions | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  |
| inline

## ◆ operator&() [5/21]

CellRendererState Gtk::operator& | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator&() [6/21]

DestDefaults Gtk::operator& | ( | DestDefaults | lhs,
|  | DestDefaults | rhs
| ) |  |
| inline

## ◆ operator&() [7/21]

DialogFlags Gtk::operator& | ( | DialogFlags | lhs,
|  | DialogFlags | rhs
| ) |  |
| inline

## ◆ operator&() [8/21]

FileFilterFlags Gtk::operator& | ( | FileFilterFlags | lhs,
|  | FileFilterFlags | rhs
| ) |  |
| inline

## ◆ operator&() [9/21]

IconLookupFlags Gtk::operator& | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator&() [10/21]

InputHints Gtk::operator& | ( | InputHints | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator&() [11/21]

JunctionSides Gtk::operator& | ( | JunctionSides | lhs,
|  | JunctionSides | rhs
| ) |  |
| inline

## ◆ operator&() [12/21]

PlacesOpenFlags Gtk::operator& | ( | PlacesOpenFlags | lhs,
|  | PlacesOpenFlags | rhs
| ) |  |
| inline

## ◆ operator&() [13/21]

PrintCapabilities Gtk::operator& | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator&() [14/21]

RecentFilterFlags Gtk::operator& | ( | RecentFilterFlags | lhs,
|  | RecentFilterFlags | rhs
| ) |  |
| inline

## ◆ operator&() [15/21]

RegionFlags Gtk::operator& | ( | RegionFlags | lhs,
|  | RegionFlags | rhs
| ) |  |
| inline

## ◆ operator&() [16/21]

StateFlags Gtk::operator& | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator&() [17/21]

TargetFlags Gtk::operator& | ( | TargetFlags | lhs,
|  | TargetFlags | rhs
| ) |  |
| inline

## ◆ operator&() [18/21]

TextSearchFlags Gtk::operator& | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator&() [19/21]

ToolPaletteDragTargets Gtk::operator& | ( | ToolPaletteDragTargets | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  |
| inline

## ◆ operator&() [20/21]

TreeModelFlags Gtk::operator& | ( | TreeModelFlags | lhs,
|  | TreeModelFlags | rhs
| ) |  |
| inline

## ◆ operator&() [21/21]

UIManagerItemType Gtk::operator& | ( | UIManagerItemType | lhs,
|  | UIManagerItemType | rhs
| ) |  |
| inline

## ◆ operator&=() [1/21]

AccelFlags & Gtk::operator&= | ( | AccelFlags & | lhs,
|  | AccelFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [2/21]

ApplicationInhibitFlags & Gtk::operator&= | ( | ApplicationInhibitFlags & | lhs,
|  | ApplicationInhibitFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [3/21]

AttachOptions & Gtk::operator&= | ( | AttachOptions & | lhs,
|  | AttachOptions | rhs
| ) |  |
| inline

## ◆ operator&=() [4/21]

CalendarDisplayOptions & Gtk::operator&= | ( | CalendarDisplayOptions & | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  |
| inline

## ◆ operator&=() [5/21]

CellRendererState & Gtk::operator&= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator&=() [6/21]

DestDefaults & Gtk::operator&= | ( | DestDefaults & | lhs,
|  | DestDefaults | rhs
| ) |  |
| inline

## ◆ operator&=() [7/21]

DialogFlags & Gtk::operator&= | ( | DialogFlags & | lhs,
|  | DialogFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [8/21]

FileFilterFlags & Gtk::operator&= | ( | FileFilterFlags & | lhs,
|  | FileFilterFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [9/21]

IconLookupFlags & Gtk::operator&= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [10/21]

InputHints & Gtk::operator&= | ( | InputHints & | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator&=() [11/21]

JunctionSides & Gtk::operator&= | ( | JunctionSides & | lhs,
|  | JunctionSides | rhs
| ) |  |
| inline

## ◆ operator&=() [12/21]

PlacesOpenFlags & Gtk::operator&= | ( | PlacesOpenFlags & | lhs,
|  | PlacesOpenFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [13/21]

PrintCapabilities & Gtk::operator&= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator&=() [14/21]

RecentFilterFlags & Gtk::operator&= | ( | RecentFilterFlags & | lhs,
|  | RecentFilterFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [15/21]

RegionFlags & Gtk::operator&= | ( | RegionFlags & | lhs,
|  | RegionFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [16/21]

StateFlags & Gtk::operator&= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [17/21]

TargetFlags & Gtk::operator&= | ( | TargetFlags & | lhs,
|  | TargetFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [18/21]

TextSearchFlags & Gtk::operator&= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [19/21]

ToolPaletteDragTargets & Gtk::operator&= | ( | ToolPaletteDragTargets & | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  |
| inline

## ◆ operator&=() [20/21]

TreeModelFlags & Gtk::operator&= | ( | TreeModelFlags & | lhs,
|  | TreeModelFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [21/21]

UIManagerItemType & Gtk::operator&= | ( | UIManagerItemType & | lhs,
|  | UIManagerItemType | rhs
| ) |  |
| inline

## ◆ operator^() [1/21]

AccelFlags Gtk::operator^ | ( | AccelFlags | lhs,
|  | AccelFlags | rhs
| ) |  |
| inline

## ◆ operator^() [2/21]

ApplicationInhibitFlags Gtk::operator^ | ( | ApplicationInhibitFlags | lhs,
|  | ApplicationInhibitFlags | rhs
| ) |  |
| inline

## ◆ operator^() [3/21]

AttachOptions Gtk::operator^ | ( | AttachOptions | lhs,
|  | AttachOptions | rhs
| ) |  |
| inline

## ◆ operator^() [4/21]

CalendarDisplayOptions Gtk::operator^ | ( | CalendarDisplayOptions | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  |
| inline

## ◆ operator^() [5/21]

CellRendererState Gtk::operator^ | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator^() [6/21]

DestDefaults Gtk::operator^ | ( | DestDefaults | lhs,
|  | DestDefaults | rhs
| ) |  |
| inline

## ◆ operator^() [7/21]

DialogFlags Gtk::operator^ | ( | DialogFlags | lhs,
|  | DialogFlags | rhs
| ) |  |
| inline

## ◆ operator^() [8/21]

FileFilterFlags Gtk::operator^ | ( | FileFilterFlags | lhs,
|  | FileFilterFlags | rhs
| ) |  |
| inline

## ◆ operator^() [9/21]

IconLookupFlags Gtk::operator^ | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator^() [10/21]

InputHints Gtk::operator^ | ( | InputHints | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator^() [11/21]

JunctionSides Gtk::operator^ | ( | JunctionSides | lhs,
|  | JunctionSides | rhs
| ) |  |
| inline

## ◆ operator^() [12/21]

PlacesOpenFlags Gtk::operator^ | ( | PlacesOpenFlags | lhs,
|  | PlacesOpenFlags | rhs
| ) |  |
| inline

## ◆ operator^() [13/21]

PrintCapabilities Gtk::operator^ | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator^() [14/21]

RecentFilterFlags Gtk::operator^ | ( | RecentFilterFlags | lhs,
|  | RecentFilterFlags | rhs
| ) |  |
| inline

## ◆ operator^() [15/21]

RegionFlags Gtk::operator^ | ( | RegionFlags | lhs,
|  | RegionFlags | rhs
| ) |  |
| inline

## ◆ operator^() [16/21]

StateFlags Gtk::operator^ | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator^() [17/21]

TargetFlags Gtk::operator^ | ( | TargetFlags | lhs,
|  | TargetFlags | rhs
| ) |  |
| inline

## ◆ operator^() [18/21]

TextSearchFlags Gtk::operator^ | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator^() [19/21]

ToolPaletteDragTargets Gtk::operator^ | ( | ToolPaletteDragTargets | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  |
| inline

## ◆ operator^() [20/21]

TreeModelFlags Gtk::operator^ | ( | TreeModelFlags | lhs,
|  | TreeModelFlags | rhs
| ) |  |
| inline

## ◆ operator^() [21/21]

UIManagerItemType Gtk::operator^ | ( | UIManagerItemType | lhs,
|  | UIManagerItemType | rhs
| ) |  |
| inline

## ◆ operator^=() [1/21]

AccelFlags & Gtk::operator^= | ( | AccelFlags & | lhs,
|  | AccelFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [2/21]

ApplicationInhibitFlags & Gtk::operator^= | ( | ApplicationInhibitFlags & | lhs,
|  | ApplicationInhibitFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [3/21]

AttachOptions & Gtk::operator^= | ( | AttachOptions & | lhs,
|  | AttachOptions | rhs
| ) |  |
| inline

## ◆ operator^=() [4/21]

CalendarDisplayOptions & Gtk::operator^= | ( | CalendarDisplayOptions & | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  |
| inline

## ◆ operator^=() [5/21]

CellRendererState & Gtk::operator^= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator^=() [6/21]

DestDefaults & Gtk::operator^= | ( | DestDefaults & | lhs,
|  | DestDefaults | rhs
| ) |  |
| inline

## ◆ operator^=() [7/21]

DialogFlags & Gtk::operator^= | ( | DialogFlags & | lhs,
|  | DialogFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [8/21]

FileFilterFlags & Gtk::operator^= | ( | FileFilterFlags & | lhs,
|  | FileFilterFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [9/21]

IconLookupFlags & Gtk::operator^= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [10/21]

InputHints & Gtk::operator^= | ( | InputHints & | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator^=() [11/21]

JunctionSides & Gtk::operator^= | ( | JunctionSides & | lhs,
|  | JunctionSides | rhs
| ) |  |
| inline

## ◆ operator^=() [12/21]

PlacesOpenFlags & Gtk::operator^= | ( | PlacesOpenFlags & | lhs,
|  | PlacesOpenFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [13/21]

PrintCapabilities & Gtk::operator^= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator^=() [14/21]

RecentFilterFlags & Gtk::operator^= | ( | RecentFilterFlags & | lhs,
|  | RecentFilterFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [15/21]

RegionFlags & Gtk::operator^= | ( | RegionFlags & | lhs,
|  | RegionFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [16/21]

StateFlags & Gtk::operator^= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [17/21]

TargetFlags & Gtk::operator^= | ( | TargetFlags & | lhs,
|  | TargetFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [18/21]

TextSearchFlags & Gtk::operator^= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [19/21]

ToolPaletteDragTargets & Gtk::operator^= | ( | ToolPaletteDragTargets & | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  |
| inline

## ◆ operator^=() [20/21]

TreeModelFlags & Gtk::operator^= | ( | TreeModelFlags & | lhs,
|  | TreeModelFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [21/21]

UIManagerItemType & Gtk::operator^= | ( | UIManagerItemType & | lhs,
|  | UIManagerItemType | rhs
| ) |  |
| inline

## ◆ operator|() [1/21]

AccelFlags Gtk::operator| | ( | AccelFlags | lhs,
|  | AccelFlags | rhs
| ) |  |
| inline

## ◆ operator|() [2/21]

ApplicationInhibitFlags Gtk::operator| | ( | ApplicationInhibitFlags | lhs,
|  | ApplicationInhibitFlags | rhs
| ) |  |
| inline

## ◆ operator|() [3/21]

AttachOptions Gtk::operator| | ( | AttachOptions | lhs,
|  | AttachOptions | rhs
| ) |  |
| inline

## ◆ operator|() [4/21]

CalendarDisplayOptions Gtk::operator| | ( | CalendarDisplayOptions | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  |
| inline

## ◆ operator|() [5/21]

CellRendererState Gtk::operator| | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator|() [6/21]

DestDefaults Gtk::operator| | ( | DestDefaults | lhs,
|  | DestDefaults | rhs
| ) |  |
| inline

## ◆ operator|() [7/21]

DialogFlags Gtk::operator| | ( | DialogFlags | lhs,
|  | DialogFlags | rhs
| ) |  |
| inline

## ◆ operator|() [8/21]

FileFilterFlags Gtk::operator| | ( | FileFilterFlags | lhs,
|  | FileFilterFlags | rhs
| ) |  |
| inline

## ◆ operator|() [9/21]

IconLookupFlags Gtk::operator| | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator|() [10/21]

InputHints Gtk::operator| | ( | InputHints | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator|() [11/21]

JunctionSides Gtk::operator| | ( | JunctionSides | lhs,
|  | JunctionSides | rhs
| ) |  |
| inline

## ◆ operator|() [12/21]

PlacesOpenFlags Gtk::operator| | ( | PlacesOpenFlags | lhs,
|  | PlacesOpenFlags | rhs
| ) |  |
| inline

## ◆ operator|() [13/21]

PrintCapabilities Gtk::operator| | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator|() [14/21]

RecentFilterFlags Gtk::operator| | ( | RecentFilterFlags | lhs,
|  | RecentFilterFlags | rhs
| ) |  |
| inline

## ◆ operator|() [15/21]

RegionFlags Gtk::operator| | ( | RegionFlags | lhs,
|  | RegionFlags | rhs
| ) |  |
| inline

## ◆ operator|() [16/21]

StateFlags Gtk::operator| | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator|() [17/21]

TargetFlags Gtk::operator| | ( | TargetFlags | lhs,
|  | TargetFlags | rhs
| ) |  |
| inline

## ◆ operator|() [18/21]

TextSearchFlags Gtk::operator| | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator|() [19/21]

ToolPaletteDragTargets Gtk::operator| | ( | ToolPaletteDragTargets | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  |
| inline

## ◆ operator|() [20/21]

TreeModelFlags Gtk::operator| | ( | TreeModelFlags | lhs,
|  | TreeModelFlags | rhs
| ) |  |
| inline

## ◆ operator|() [21/21]

UIManagerItemType Gtk::operator| | ( | UIManagerItemType | lhs,
|  | UIManagerItemType | rhs
| ) |  |
| inline

## ◆ operator|=() [1/21]

AccelFlags & Gtk::operator|= | ( | AccelFlags & | lhs,
|  | AccelFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [2/21]

ApplicationInhibitFlags & Gtk::operator|= | ( | ApplicationInhibitFlags & | lhs,
|  | ApplicationInhibitFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [3/21]

AttachOptions & Gtk::operator|= | ( | AttachOptions & | lhs,
|  | AttachOptions | rhs
| ) |  |
| inline

## ◆ operator|=() [4/21]

CalendarDisplayOptions & Gtk::operator|= | ( | CalendarDisplayOptions & | lhs,
|  | CalendarDisplayOptions | rhs
| ) |  |
| inline

## ◆ operator|=() [5/21]

CellRendererState & Gtk::operator|= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator|=() [6/21]

DestDefaults & Gtk::operator|= | ( | DestDefaults & | lhs,
|  | DestDefaults | rhs
| ) |  |
| inline

## ◆ operator|=() [7/21]

DialogFlags & Gtk::operator|= | ( | DialogFlags & | lhs,
|  | DialogFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [8/21]

FileFilterFlags & Gtk::operator|= | ( | FileFilterFlags & | lhs,
|  | FileFilterFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [9/21]

IconLookupFlags & Gtk::operator|= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [10/21]

InputHints & Gtk::operator|= | ( | InputHints & | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator|=() [11/21]

JunctionSides & Gtk::operator|= | ( | JunctionSides & | lhs,
|  | JunctionSides | rhs
| ) |  |
| inline

## ◆ operator|=() [12/21]

PlacesOpenFlags & Gtk::operator|= | ( | PlacesOpenFlags & | lhs,
|  | PlacesOpenFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [13/21]

PrintCapabilities & Gtk::operator|= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator|=() [14/21]

RecentFilterFlags & Gtk::operator|= | ( | RecentFilterFlags & | lhs,
|  | RecentFilterFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [15/21]

RegionFlags & Gtk::operator|= | ( | RegionFlags & | lhs,
|  | RegionFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [16/21]

StateFlags & Gtk::operator|= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [17/21]

TargetFlags & Gtk::operator|= | ( | TargetFlags & | lhs,
|  | TargetFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [18/21]

TextSearchFlags & Gtk::operator|= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [19/21]

ToolPaletteDragTargets & Gtk::operator|= | ( | ToolPaletteDragTargets & | lhs,
|  | ToolPaletteDragTargets | rhs
| ) |  |
| inline

## ◆ operator|=() [20/21]

TreeModelFlags & Gtk::operator|= | ( | TreeModelFlags & | lhs,
|  | TreeModelFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [21/21]

UIManagerItemType & Gtk::operator|= | ( | UIManagerItemType & | lhs,
|  | UIManagerItemType | rhs
| ) |  |
| inline

## ◆ operator~() [1/21]

AccelFlags Gtk::operator~ | ( | AccelFlags | flags | ) |
| inline

## ◆ operator~() [2/21]

ApplicationInhibitFlags Gtk::operator~ | ( | ApplicationInhibitFlags | flags | ) |
| inline

## ◆ operator~() [3/21]

AttachOptions Gtk::operator~ | ( | AttachOptions | flags | ) |
| inline

## ◆ operator~() [4/21]

CalendarDisplayOptions Gtk::operator~ | ( | CalendarDisplayOptions | flags | ) |
| inline

## ◆ operator~() [5/21]

CellRendererState Gtk::operator~ | ( | CellRendererState | flags | ) |
| inline

## ◆ operator~() [6/21]

DestDefaults Gtk::operator~ | ( | DestDefaults | flags | ) |
| inline

## ◆ operator~() [7/21]

DialogFlags Gtk::operator~ | ( | DialogFlags | flags | ) |
| inline

## ◆ operator~() [8/21]

FileFilterFlags Gtk::operator~ | ( | FileFilterFlags | flags | ) |
| inline

## ◆ operator~() [9/21]

IconLookupFlags Gtk::operator~ | ( | IconLookupFlags | flags | ) |
| inline

## ◆ operator~() [10/21]

InputHints Gtk::operator~ | ( | InputHints | flags | ) |
| inline

## ◆ operator~() [11/21]

JunctionSides Gtk::operator~ | ( | JunctionSides | flags | ) |
| inline

## ◆ operator~() [12/21]

PlacesOpenFlags Gtk::operator~ | ( | PlacesOpenFlags | flags | ) |
| inline

## ◆ operator~() [13/21]

PrintCapabilities Gtk::operator~ | ( | PrintCapabilities | flags | ) |
| inline

## ◆ operator~() [14/21]

RecentFilterFlags Gtk::operator~ | ( | RecentFilterFlags | flags | ) |
| inline

## ◆ operator~() [15/21]

RegionFlags Gtk::operator~ | ( | RegionFlags | flags | ) |
| inline

## ◆ operator~() [16/21]

StateFlags Gtk::operator~ | ( | StateFlags | flags | ) |
| inline

## ◆ operator~() [17/21]

TargetFlags Gtk::operator~ | ( | TargetFlags | flags | ) |
| inline

## ◆ operator~() [18/21]

TextSearchFlags Gtk::operator~ | ( | TextSearchFlags | flags | ) |
| inline

## ◆ operator~() [19/21]

ToolPaletteDragTargets Gtk::operator~ | ( | ToolPaletteDragTargets | flags | ) |
| inline

## ◆ operator~() [20/21]

TreeModelFlags Gtk::operator~ | ( | TreeModelFlags | flags | ) |
| inline

## ◆ operator~() [21/21]

UIManagerItemType Gtk::operator~ | ( | UIManagerItemType | flags | ) |
| inline